# -*- coding: utf-8 -*-
##############################################################################
# For copyright and license notices, see __openerp__.py file in module root
# directory
##############################################################################
from openerp import models, fields

class StockWarehouse(models.Model):
    _inherit = 'stock.warehouse'

    store_id = fields.Many2one(
        'res.store',
        'Store'
    )

class StockLocation(models.Model):
    _inherit = 'stock.location'

    store_id = fields.Many2one(
        'res.store'
    )

class StockPickingType(models.Model):
    _inherit = 'stock.picking.type'

    store_id = fields.Many2one(
        related='warehouse_id.store_id',
        store=True,
        readonly=True,
    )

class StockPicking(models.Model):
    _inherit = 'stock.picking'

    store_id = fields.Many2one(
        related='picking_type_id.store_id',
        store=True,
        readonly=True,
    )
